Skip to main content
`Ctrl`+`K`

# MatGetLayouts

Gets the `PetscLayout` objects for rows and columns

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLayouts(Mat A, PetscLayout *rmap, PetscLayout *cmap)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameters

- rmap - row layout

- cmap - column layout

## See Also

Matrices, `Mat`, Matrix Layouts, `PetscLayout`, `MatCreateVecs()`, `MatGetLocalToGlobalMapping()`, `MatSetLayouts()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages